# Publish wells

Publish wells

Endpoint: POST /v1/ingress/data-sources/{dataSource}/wells
Version: v1
Security: bearer, appkey, sauth_service_token

## Security:

  - `bearer` (unknown)
    http bearer JWT

  - `appkey` (unknown)
    apiKey in header appkey

  - `sauth_service_token` (unknown)
    oauth2

## Path parameters:

  - `dataSource` (string, required)
    data source name

## Header parameters:

  - `slb-partition-id` (string, required)
    The data partition id.

## Request body:

  - `application/json, text/json, application/*+json` (unknown)
    well data list

## Request fields (application/json):

  - `id` (string, required)

  - `name` (string, required)

  - `link` (string)
    URL of the source editor, drillplan will use this value let the user navigate to source and do the data modificaiton.

  - `timestamp` (string)
    object last modify time, drillplan will compare this value and the last modify time in drillplan, to decide if the source data is newer.

  - `comments` (string)

  - `fetchable` (boolean)

  - `location` (object)

  - `location.coordinate_reference_system` (string)
    coordinate reference system name

  - `location.coordinates_type` (string)
    coordinate type, e.g:GRID, GEODETIC

  - `location.azimuth_reference` (string)
    Enum: "Grid", "True", "Unknown"

  - `location.northing` (number)

  - `location.easting` (number)

  - `location.latitude` (number)

  - `location.longitude` (number)

  - `is_off_shore` (boolean, required)
    Indicator whether it's an offshore well or land well

  - `ground_level` (number)
    Elevation of ground level (land rigs) or seabed (offshore rigs) above MSL.

  - `rkb` (number)
    Elevation of RKB above MSL.

  - `custom_vertical_reference_surface` (object)

  - `custom_vertical_reference_surface.code` (string)
    The code value that represents the type of reference surface.

  - `custom_vertical_reference_surface.full_name` (string)
    The full name of the vertical reference surface.

  - `custom_vertical_reference_surface.offset` (number)
    Offset value above MSL.

  - `uwi` (string)

  - `field_name` (string)
    Name of the field in which the well is located.

  - `country` (string)
    [OBSOLETE] Country in which well is located.
This property is obsolete and will be removed in future versions.
Please use `country_code_alpha2` instead.

  - `country_code_alpha2` (string)
    Country code (ISO 3166-1 alpha-2) in which the well is located.
Replaces the obsolete `country` property.

  - `area` (string)
    Area in which well is located.

  - `state` (string)
    State or province in which well is located.

  - `county` (string)
    County in which the well is located.

  - `city` (string)
    City in which the well is located.

  - `labels` (array)
    some label for the well

## Response 204:

  - `204` (unknown)
    Success

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (text/plain):

  - `type` (string)

  - `title` (string)

  - `status` (integer)

  - `detail` (string)

  - `instance` (string)

  - `errors` (object)

